/**
 * Data model pour les artifex
 */
export default class ArtifexDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      artifextype: new fields.StringField({ initial: "vapeur" }),
      competence: new fields.StringField({ initial: "" }),
      complexite: new fields.NumberField({ initial: 0, integer: true }),
      dureerealisation: new fields.StringField({ initial: "" }),
      tempsmiseenroute: new fields.StringField({ initial: "" }),
      defautcourant: new fields.StringField({ initial: "" }),
      prix: new fields.NumberField({ initial: 0, integer: true })
    };
  }
}
